> This page is for Data API, version v1.
> For other versions, use one of these documentation indexes:
> - v2 (default): https://developers.webflow.com/data/v2.0.0/llms.txt
> - v2 Beta: https://developers.webflow.com/data/v2.0.0-beta/llms.txt
> - v1: https://developers.webflow.com/data/v1.0.0/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.webflow.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.webflow.com/_mcp/server.

# Get Collection

GET https://api.webflow.com/collections/{collection_id}

Get a collection by collection id

Reference: https://developers.webflow.com/data/v1.0.0/reference/cms/collections/get-collection

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `collection_id` (string, required) — Unique identifier for a Collection

### Headers

- `Accept-Version` (string, optional) — The API version

## Response

### 200

Request was successful

- `_id` (string, required) — Unique identifier for collection
- `lastUpdated` (string, optional) — The date the collection was last updated
- `createdOn` (string, optional) — The date the collection was create
- `name` (string, optional) — Name given to Collection
- `slug` (string, optional) — Slug of Collection in Site URL structure
- `singularName` (string, optional) — The name of one Item in Collection (e.g. “post” if the Collection is called “Posts”)
- `fields` (list of Field, optional) — The list of fields in the collection

## Errors

### 400 Bad Request Error

Request body was incorrectly formatted. Likely invalid JSON being sent up.

- `any`

### 401 Unauthorized Error

Provided access token is invalid or does not have access to requested resource

- `any`

### 404 Not Found Error

Requested resource not found

- `any`

### 429 Too Many Requests Error

The rate limit of the provided access_token has been reached. Please have your application respect the X-RateLimit-Remaining header we include on API responses.

- `any`

### 500 Internal Server Error

We had a problem with our server. Try again later.

- `any`

## Types

### Field

Fields in your collection item

- `slug` (string, required, default: new-item) — Slug of the item
- `name` (string, required, default: My New Item) — item name
- `_archived` (boolean, required, default: false) — item archive status
- `_draft` (boolean, required, default: false) — item draft status
- `id` (string, optional) — Unique identifier for the item

## Examples

**Response**

```json
{
  "_id": "580e63fc8c9a982ac9b8b745",
  "lastUpdated": "2016-10-24T19:42:38.929Z",
  "createdOn": "2016-10-24T19:41:48.349Z",
  "name": "Blog Posts",
  "slug": "post",
  "singularName": "Blog Post",
  "fields": [
    {
      "slug": "post-body",
      "name": "Post Body",
      "_archived": false,
      "_draft": false,
      "id": "7f62a9781291109b9e428fb47239fd35",
      "editable": "true",
      "required": "false",
      "type": "RichText"
    },
    {
      "slug": "post-summary",
      "name": "Post Summary",
      "_archived": false,
      "_draft": false,
      "id": "ac4ffead755a78c710c44042f528b073",
      "validations": "string",
      "helpText": "A summary of the blog post that appears on blog post grid",
      "editable": "true",
      "required": "false",
      "type": "PlainText"
    },
    {
      "slug": "main-image",
      "name": "Main Image",
      "_archived": false,
      "_draft": false,
      "id": "ba1cfbdaa6b38b8e95e9b5063da8a5bd",
      "editable": "true",
      "required": "false",
      "type": "ImageRef"
    },
    {
      "slug": "thumbnail-image",
      "name": "Thumbnail image",
      "_archived": false,
      "_draft": false,
      "id": "a8c6ea29b08cc5b5ef966908fa1deae2",
      "helpText": "Smaller version of main image that is used on blog post grid",
      "editable": "true",
      "required": "false",
      "type": "ImageRef"
    },
    {
      "slug": "picture-gallery",
      "name": "Picture Gallery",
      "_archived": false,
      "_draft": false,
      "id": "87e79a644a6fb5729940ec24e0012f01",
      "editable": "true",
      "required": "false",
      "type": "Set",
      "innerType": "ImageRef"
    },
    {
      "slug": "featured",
      "name": "Featured?",
      "_archived": false,
      "_draft": false,
      "id": "1e54974d97181032d3206ea021668e5f",
      "editable": "true",
      "required": "false",
      "type": "Bool"
    },
    {
      "slug": "color",
      "name": "Color",
      "_archived": false,
      "_draft": false,
      "id": "648463cbc042ab079c2b99430a398ae5",
      "editable": "true",
      "required": "false",
      "type": "Color"
    },
    {
      "slug": "author",
      "name": "Author",
      "_archived": false,
      "_draft": false,
      "id": "ea9067c48edee510de71fe503fa2fb51",
      "validations": "string",
      "editable": "true",
      "required": "false",
      "type": "ItemRef"
    },
    {
      "slug": "name",
      "name": "Name",
      "_archived": false,
      "_draft": false,
      "id": "60c0667e27b6d5a6daedec3a641265f6",
      "validations": "string",
      "editable": "true",
      "required": "true",
      "type": "PlainText"
    },
    {
      "slug": "slug",
      "name": "Slug",
      "_archived": false,
      "_draft": false,
      "id": "8f0c953df91d10b767d66e1d7d00d631",
      "validations": "string",
      "unique": "true",
      "editable": "true",
      "required": "true",
      "type": "PlainText"
    },
    {
      "slug": "_archived",
      "name": "Archived",
      "_archived": false,
      "_draft": false,
      "id": "e4e92e700d70faffac6fa82ff2bfaece",
      "default": "false",
      "editable": "true",
      "required": "true",
      "type": "Bool"
    },
    {
      "slug": "_draft",
      "name": "Draft",
      "_archived": false,
      "_draft": false,
      "id": "f2675b2ac4fcef746b24d4a320887ef8",
      "default": "false",
      "editable": "true",
      "required": "true",
      "type": "Bool"
    },
    {
      "slug": "created-on",
      "name": "Created On",
      "_archived": false,
      "_draft": false,
      "id": "0913a35d92208bdf8fbf3ed1e39b771e",
      "editable": "false",
      "required": "false",
      "type": "Date"
    },
    {
      "slug": "updated-on",
      "name": "Updated On",
      "_archived": false,
      "_draft": false,
      "id": "3de04889465fe6d718e47b152ef5bb4d",
      "editable": "false",
      "required": "false",
      "type": "Date"
    },
    {
      "slug": "published-on",
      "name": "Published On",
      "_archived": false,
      "_draft": false,
      "id": "2a3cd866d5dbb294896130b233218626",
      "editable": "false",
      "required": "false",
      "type": "Date"
    },
    {
      "slug": "created-by",
      "name": "Created By",
      "_archived": false,
      "_draft": false,
      "id": "62c18561b9e89517751c6d8712d48f91",
      "editable": "false",
      "required": "false",
      "type": "User"
    },
    {
      "slug": "updated-by",
      "name": "Updated By",
      "_archived": false,
      "_draft": false,
      "id": "50918093b4e4d4eca1e83c25bcdc06a4",
      "editable": "false",
      "required": "false",
      "type": "User"
    },
    {
      "slug": "published-by",
      "name": "Published By",
      "_archived": false,
      "_draft": false,
      "id": "5c4587f18b32ef245daeaadfcba7860b",
      "editable": "false",
      "required": "false",
      "type": "User"
    }
  ]
}
```

**SDK Code**

```python Collections_get-collection_example
import requests

url = "https://api.webflow.com/collections/580e63fc8c9a982ac9b8b745"

headers = {
    "Accept-Version": "1.0.0",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Collections_get-collection_example
const url = 'https://api.webflow.com/collections/580e63fc8c9a982ac9b8b745';
const options = {
  method: 'GET',
  headers: {'Accept-Version': '1.0.0', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Collections_get-collection_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.webflow.com/collections/580e63fc8c9a982ac9b8b745"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept-Version", "1.0.0")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Collections_get-collection_example
require 'uri'
require 'net/http'

url = URI("https://api.webflow.com/collections/580e63fc8c9a982ac9b8b745")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept-Version"] = '1.0.0'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Collections_get-collection_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.webflow.com/collections/580e63fc8c9a982ac9b8b745")
  .header("Accept-Version", "1.0.0")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Collections_get-collection_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.webflow.com/collections/580e63fc8c9a982ac9b8b745', [
  'headers' => [
    'Accept-Version' => '1.0.0',
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Collections_get-collection_example
using RestSharp;

var client = new RestClient("https://api.webflow.com/collections/580e63fc8c9a982ac9b8b745");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept-Version", "1.0.0");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Collections_get-collection_example
import Foundation

let headers = [
  "Accept-Version": "1.0.0",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.webflow.com/collections/580e63fc8c9a982ac9b8b745")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```